
-- return the window size
getWindowSize = getWindowSize or function()
	return 480, 125
end

-- create and lay out all the controls
createUI = createUI or function()

	createUICommon()
	setBannerContent( "nameOnly", 20, 150 )

	-- constants
	local kKnobSpace = 45
	local kButtonW = 128
	local kButtonH = 27

	-- make groups and knobs
	--

	local x = 0
	local y = 0

	theKnobRenderer = smallKnobRenderer

	miscGroup = group( "OSC" )
	smallKnobAndTextField( miscGroup, "OSC Port Offset",	"Port",		0, 0 )
	miscGroup:setVisible( false )

	panLawGroup = group( "Pan Law" )
	panLawGroup:add( paramButton( "Apply Compensation",	"Apply Compensation", x, y, 150, 25 ) )
	y = y + 25 + 2*pad
	labelledDropDown( panLawGroup, "Pan Law", "Pan Law", x, y, 150 )

	-- positions!

	local xbase = windowEdgePad
	local ybase = windowEdgePad
	local x = xbase
	local y = ybase

	-- add directly positioned objects
	--

	x = xbase
	y = ybase

	panLawGroup:setPosition( x, y, true )
	x = x + panLawGroup:width()

	x = x + 150
	y = y + 80
	local lab = label( "Match these controls to your Logic project settings.", x, y )
	setLabelColour( lab )
	add( lab )
	y = y - 20
	local lab = label( "If your Pan Law is \"-3dB\",", x, y )
	setLabelColour( lab )
	add( lab )
	y = y - 20
	local lab = label( "and \"Apply Compensation\" is on,", x, y )
	setLabelColour( lab )
	add( lab )
	y = y - 20
	local lab = label( "you also need to set a 3dB gain on your track fader.", x, y )
	setLabelColour( lab )
	add( lab )

	miscGroup:setPosition( x, y, true )

end		-- of createUI()
